
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android CTS / 憋错料</title>

    <meta name="description" content="Android CTS 1.什么是CTS CTS是google制定的兼容性测试包(Compatibility Test Suite),只有通过CTS测试的设备才有可能获得Android的商标和享受Android Market的权限.其目的是用来规范Android设备开发商防止厂商对Android的改动影响其SDK API的兼容性,确保设备运行的Android系统全面兼容Android规范,即第三方应用程序安装到该厂商的机器上都能正常运行,给用户带来更好的体验.Google还提供了一份兼容性标准文档(Compatibil">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Android CTS</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h1>1.什么是CTS</h1>
<p>CTS是google制定的兼容性测试包（Compatibility Test Suite），只有通过CTS测试的设备才有可能获得Android的商标和享受Android Market的权限。其目的是用来规范Android设备开发商防止厂商对Android的改动影响其SDK API的兼容性,确保设备运行的Android系统全面兼容Android规范，即第三方应用程序安装到该厂商的机器上都能正常运行，给用户带来更好的体验。Google还提供了一份兼容性标准文档（Compatibility Definition Document, CDD）来作为参考。CTS会自动化运行同时也会测试硬件(比如蓝牙,WIFI)，跑完之后会出一份详细的报告，告诉你哪些地方没通过。我们实际使用CTS的过程中，很可能需要根据特定的要求，来定制自己的TestPlan。这时就需要自己编译CTS。</p>
<h1>2.获取CTS包</h1>
<p>我们有两种方式可以获取CTS包。</p>
<p>（1）从源码编译：</p>
<p>在Android系统源代码目录下运行 make cts 即可以得到CTS包，生成文件在out/host/linux-x86/cts/android-cts/ 目录下</p>
<p>（2）从google官方下载编译好了的CTS包：</p>
<p>下载地址为：<a href="http://source.android.com/compatibility/downloads.html%E3%80%82" rel="external nofollow noreferrer">http://source.Android.com/compatibility/downloads.html。</a></p>
<p>下载解压完成后会目录结构为</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzcwODMzMi8yMDE2MTAvNzA4MzMyLTIwMTYxMDE4MjIyNTE4NTQ1LTExNjk4MDE0MzQucG5n.jpg"></p>
<p>其中testcases中为测试用例，主要是一些APK，tools目录下为主机工具</p>
<h1>3. 使用CTS</h1>
<p>(1)运行CTS脚本</p>
<p>脚本位于android-cts/tools/下，cd进入此目录，然后执行脚本</p>
<pre>./cts-tradefed </pre>
<p>(2)执行CTS测试</p>
<p>CTS的case位于：Android_Source_Code/cts/tests/tests/。注意，测试CTS的时候，设备不能处于休眠状态，可以在：设置 ? 开发 ? 将保持唤醒状态勾中，这样在USB连接状态下，设备不会处于休眠状态。</p>
<p>1.执行整个CTS测试：run cts –plan CTS。花费较多时间，建议晚上测试。</p>
<p>2.测试一个包：run cts -p &lt;包名&gt;。参数-p是指测试的是一个package。例如要测试android.view.cts包下的所有case，执行命令：</p>
<pre>run cts -p android.view.cts</pre>
<p>3.测试一个类：run cts -c &lt;类名&gt;。类名前需要加上包的名字，参数-c是指测试的是一个class。例如要测试android.view.cts包下的WindowTest类,执行命令：</p>
<pre>run cts -c android.view.cts.WindowTest</pre>
<p>4.测试一个类中的case：run cts -c &lt;类名&gt; -m &lt;case名&gt;。case名是指类下的method名，参数-m是指测试的是一个method。接上例，要测试android.view.cts包下的WindowTest类中的方法testDecorView，执行命令：</p>
<pre>run cts -c android.view.cts.WindowTest -m testDecorView</pre>
<p>5.查看帮助：</p>
<pre>run cts –help</pre>

<h1>4.查看测试报告及log</h1>
<p>CTS测试开始时，系统会在android-cts/repository/results下，以测试开始的日期和时间命名，生成一个文件夹。测试完成后，系统会在该文件夹下，生成一个xml格式的测试报告，供开发人员查看。</p>
<p>log的保存与result一样，也是以测试开始的日期和时间命名，保存在android-cts/repository/logs下。</p>
<p>参考资料：</p>
<p>http://blog.csdn.net/yunnywu/article/details/7978877</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 15:26:04 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Android CTS的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0nYRXKM.html" rel="bookmark">Android CTS測试Fail项改动总结（四）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android5.1上的測试 1.android.security.cts.SELinuxDomainTest# testInitDomain fail 打印的log junit.framework.AssertionFailedError: Expected 1 process in SELinux domain &quot;u:r:init:s0&quot; Found &quot;[ pid: &quot;1&quot; proctitle: &quot;/init&quot; label: &qu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rbrOg3.html" rel="bookmark">Android CTS Test</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				什么是CTS测试?了解这个问题前,我们先来搜索了解一遍&quot;Google GMS 认证&quot;.GMS全称为GoogleMobile Service,即谷歌移动服务.说白了GMS其实就是一系列谷歌的应用集合.谷歌GMS认证(Google Mobile Services Test Certification )是谷歌公司为了确保全世界的硬件厂商设计和生产安卓为基础的各种智能硬件产品的兼容性.稳定性,以及这些硬件与安卓各种自带的各种软件APP产品和服务的兼容性.稳定性方面的测试和认证. Google			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MLxRpdM.html" rel="bookmark">Android CTS 测试总结【转】</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近一直在做Android兼容性测试,根据Android官网给出的android-cts-manual 配置好了device后,开始测试. 首先配置软件环境: 1.下载Android-2.1系统,并编译. $ . build/envsetup.sh          //配置选项,并编译android源码$ make cts                                 //android源码编译好后,在编译cts 2.编译好cts后生成的文件位置如下 #mydroid/out			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWxm9k0.html" rel="bookmark">监听Android CTS测试项解决方案（二）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				二,监听当前测试项是否是Accelerometer Measurement Test测试项 通过第一种方式介绍的,我们可以得到当前处于活动状态的Activity类似监听CTS测试当前的测试项.但是由于是监听Android系统中所有Activity,因此会大大降低系统的性能,因此这里有一种效率更高的方式来精确定位当前CTS正在测试的测试项,而不会对系统造成很大的影响.(当然不能修改CTS源码,我们需要使用Android提供的原生CTS APK进行验证) 那么我们这里以Accelerometer M			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35Xl9n0.html" rel="bookmark">监听Android CTS测试项解决方案（一）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言: 首先这里需要详细叙述一下标题中&quot;监听Android CTS测试项解决方案&quot;的需求.这里的需求是指我们需要精确的监听到当前CTS测试正在测试的测试项. 因为我们知道CTS认证是获得Google推出的 Android 系统中 Android Market 服务的前提.CTS 兼容性测试的主要目的和意义在于使得用户在 Android 系统的应用过程中,有更好的用户体验,并展现出 Android 系统的优越特性:使得 Android 应用程序编写者更容易编写高质量的应用程序:充分展现			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MoGeOnM.html" rel="bookmark">求助，Help&excl;&excl;&excl;关于android CTS TV测试的fail问题。。。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				============问题描述============ android测试里的测试项基本上都是针对android手机写的,但是我现在做的是android 4.0.3电视的cts测试,测试用例里面很多针对电话.短信.GPS.camera等fail项,这该怎么解决呢???没有没办法让测试时遇到这些电视没有的功能时跳过不测这些case呢??? ============解决方案1============ 把你希望测试的项 添加到 out/host/linux-x86/cts/android-cts/r			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4ARNlzM.html" rel="bookmark">Android CTS（兼容性测试）整个流程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				为了保证开发的应用在所有兼容Android的设备上正常运行,并保证一致的用户体验,Google制定了CTS(Compatibility Test Suite)来确保设备运行的Android系统全面兼容Android规范,Google也提供了一份兼容性标准文档(Compatibility Definition Document, CDD). 在进行CTS之前,需要先从google官网下载相关文件,需要自卑梯子翻墙.下载链接: http://source.android.com/compatibil			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vjR2Z3.html" rel="bookmark">Android CTS测试</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一什么是CTS CTS简介:Compatibility Test suite系列兼容测试 google定义了一个兼容性规范(Compatible Definition),而CTS就是为了确保某个测试符合该规范.从而基于Android的应用程序能在基于同一个api版本的设备上面运行.通过CTS测试的device可以获得android的商标,并且享受android market的权限. 例如手机.平板电脑.车载娱乐系统:严格来说需要下载第三方应用的Android系统都要通过CTS测试,才能达到兼容性			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pGEZw3.html" rel="bookmark">Android CTS&lpar;frome google&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Compatibility Test Suite How does the CTS work? The Compatibility Test Suite (CTS) is a free, commercial-grade test suite, available for download. The CTS represents the &quot;mechanism&quot; of compatibility. The CTS runs on a desktop machine and execute			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/k0evZb3.html" rel="bookmark" class="title">51Nod - 1004 n&Hat;n的末位数字</a>
					<div>
						51Nod - 1004 n^n的末位数字 给出一个整数N,输出N^N(N的N次方)的十进制表示的末位数字. Input 一个数N(1 &lt;= N &lt;= 10^9) Output 输出N^N ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0n1L6PM.html" rel="bookmark" class="title">2&period;0-squid服务介绍</a>
					<div>
						Squid 是比较知名的代理软件, 它不仅可以跑在 Linux 上还可以跑在 Windows 以及 Unix上,它的技术已经非常成熟.目前使用 Squid 的用户也是十分广泛的.Squid 与 Lin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZVZpg3.html" rel="bookmark" class="title">互联网巨头跑步入场 加速布局跨境电商</a>
					<div>
						巨大的国内需求和日益宽松的政策环境,使跨境电商市场日益火爆.据商务部公布的全球贸易格局报告预测,2016年我国跨境电商进出口额将增长至6.5万亿元,年增速将超30%.面对如此巨大的市场诱惑,一向嗅觉敏 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4127YOM.html" rel="bookmark" class="title">set&sol;multiset和map&sol;multimap用法小结</a>
					<div>
						二叉搜索树是ACM中经常需要用到的数据结构,熟练掌握map和set的用法很关键,现对其做一个简单的总结. 主要的功能有:插入元素,查找元素,删除,遍历/反向遍历. 现以map为例说明用法,multim ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgLVWB0.html" rel="bookmark" class="title">ASP&period;NET MVC 视图&lpar;一&rpar;</a>
					<div>
						ASP.NET MVC 视图(一) 前言 从本篇开始就进入到了MVC中的视图部分,在前面的一些篇幅中或多或少的对视图和视图中的一些对象的运用进行了描述,不过毕竟不是视图篇幅说的不全面,本篇首先为大家讲 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kXXOp3.html" rel="bookmark" class="title">中心极限定理；使用均匀分布产生高斯分布</a>
					<div>
						如果我们产生N个[-1,1]之间均匀分布的随机变量,那么这N个随机变量的均值的期望当然应该是0:但是样本均值几乎不可能是0,而是在0左右分布,且越靠近0的概率越大. // pseudo code fo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBAQbY4.html" rel="bookmark" class="title">iOS&lowbar;词典阵列 按key分组和排序</a>
					<div>
						// // main.m // SortGroup // // Created by beyond on 14-10-26. // Copyright (c) 2014年 beyond.com All ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kG6pl0.html" rel="bookmark" class="title">netty httpserver</a>
					<div>
						netty也可以作为一个小巧的http服务器使用. 1 package com.ming.netty.http.httpserver; 2 3 import java.net.InetSocketAd ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l5DlZ3.html" rel="bookmark" class="title">jQuery基础--样式篇（3）</a>
					<div>
						1.jQuiery对象与DOM对象 对于刚刚接触jQuery的初学者,我们要清楚认识一点:jQuery对象与DOM对象是不一样的.可能一时半会分不清楚哪些是jQuery对象,哪些是DOM对象,下面重点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OR2wr0.html" rel="bookmark" class="title">手动添加日期到mysql数据库</a>
					<div>
						//获得jsp页面上的数据 String dates=request.getParameter(&quot;dates&quot;); //使用预定格式将日期转换为字符串 SimpleDateForm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qEAlD3.html" rel="bookmark" class="title">PHP类的静态&lpar;static&rpar;方法和静态&lpar;static&rpar;变量使用介绍</a>
					<div>
						PHP类的静态(static)方法和静态(static)变量使用介绍,学习php的朋友可以看下 在php中,访问类的方法/变量有两种方法: 1. 创建对象$object = new Class(),然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0leAyN3.html" rel="bookmark" class="title">PHP获取上周、本周、上月、本月、本季度、上季度时间方法大全</a>
					<div>
						&lt;?php echo date(&quot;Ymd&quot;,strtotime(&quot;now&quot;)), &quot;\n&quot;; echo date(&quot;Ymd& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bqoqwM.html" rel="bookmark" class="title">Java 反射机制&lbrack;Field反射&rsqb;</a>
					<div>
						Java 反射机制[Field反射] 1.  反射概念及功能 反射就是把Java类中的各种成分映射成相应的Java类.例如一个Java类中用一个Class类的对象来表示.一个类中的组成部分分为成员变量 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qxxPz0.html" rel="bookmark" class="title">Html&period;Partial和Html&period; RenderPartial用法</a>
					<div>
						Html.Partial和Html. RenderPartial用法 Html.partial和RenderPartial的用法与区别Html.partial和RenderPartial都是输出htm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Q7VLe0.html" rel="bookmark" class="title">防暴力破解 Fail2Ban之python</a>
					<div>
						fai2ban的介绍 fail2ban可以监视你的系统日志,然后匹配日志的错误信息(正则式匹配)执行相应的屏蔽动作(一般情况下是调用防火墙屏蔽),如:当有人在试探你的SSH.SMTP.FTP密码,只要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgEZVO3.html" rel="bookmark" class="title">8 代理模式（Proxy）</a>
					<div>
						其实每个模式名称就表明了该模式的作用,代理模式就是多一个代理类出来,替原对象进行一些操作,比如我们在租房子的时候回去找中介,为什么呢?因为你对该地区房屋的信息掌握的不够全面,希望找一个更熟悉的人去帮你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RnNLP0.html" rel="bookmark" class="title">IT公司100题-2</a>
					<div>
						1 // 定义栈的数据结构,要求添加一个min 函数,能够得到栈的最小元素. 2 // 要求函数min.push 以及pop 的时间复杂度都是O(1). 3 #include &lt;iostream ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/351Qb13.html" rel="bookmark" class="title">在oracle中怎么把一张表的数据插入到另一张表中</a>
					<div>
						把table2表的数据插入到table1中 insert   into   table1   select   *   from   table2					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02XVRz4.html" rel="bookmark" class="title">动态注册广播，监听网络状态变化，判断网络模式</a>
					<div>
						注册广播监听网络连接和断开状态的变化,判断网络连接模式: private ConnectivityManager mConnectivityManager; private NetworkInfo n ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pkJyo3.html" rel="bookmark" class="title">iOS 设备获取唯一标识符汇总</a>
					<div>
						在2013年3月21日苹果已经通知开发者,从2013年5月1日起,访问UIDID的应用将不再能通过审核,替代的方案是开发者应该使用“在iOS 6中介绍的Vendor或Advertising标示符”.  ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
